{
    /**
     * @param {HTMLElement} host
     * @param {import("../../treeview/1.0.1/GOVBRTreeViewUserControl.mjs").GOVBRTreeViewUserControl} data
     */
    const init = async (host, data) => {
        await GOVBRPlataformaJS.importarModulo(data.URL_CDN, 'jquery', '3.7.1', 'jquery.min', 'script');
        await GOVBRPlataformaJS.importarModulo(data.URL_CDN, 'treeview', data.VERSAO_JS_COMPONENTE, 'GOVBRTreeViewUC');
        host.innerHTML = `
            <div class="govbr-treeview-1"></div>
            <div class="govbr-treeview-2"></div>
        `;
        /**
         * @type {import("../../treeview/1.0.1/GOVBRTreeViewUserControl.mjs").GOVBRTreeViewUserControl}
         */
        const data2 = JSON.parse(JSON.stringify(data));
        data2.IDENTIFICADOR_COMPONENTE = 'tree_2';
        data2.DND_ALVO_ID_TREES = ['tree_2'];
        new GOVBRTreeViewUC(data, host.querySelector('.govbr-treeview-1'));
        new GOVBRTreeViewUC(data2, host.querySelector('.govbr-treeview-2'));
    };
    GOVBRDemos.addInitComponente('treeview', init);
}
